S3 Put Object Lock Configuration
  • 31 May 2023
  • Dark
    Light

S3 Put Object Lock Configuration

  • Dark
    Light

Article summary

PUThttps://s3.<your-region>.backblazeb2.com/<your-bucket-name>?object-lock

Sets the Object Lock configuration for a bucket. The specified rule will apply by default to new objects created in the bucket.

AUTHORIZATION AWS Signature

This request is using AWS Signature from collection Backblaze B2 Cloud Storage S3 Compatible API.

PARAMS

object-lock

Must be present to put object lock configuration.

PATH VARIABLES

bucket

Required. The name of the bucket

Example Request

curl --location --request PUT 'https://s3.<your-region>.backblazeb2.com/my-bucket-name?object-lock=null' \
--data '<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<ObjectLockConfiguration xmlns="http://s3.amazonaws.com/doc/2006-03-01/">
    <ObjectLockEnabled>Enabled</ObjectLockEnabled>
    <Rule>
        <DefaultRetention>
            <Mode>GOVERNANCE</Mode>
            <Days>14</Days>
        </DefaultRetention>
    </Rule>
</ObjectLockConfiguration>'

Example Response

200 OK

Body

No response body

This request doesn't return any response body


Headers (8)

x-amz-request-id699c79d678ac85eb

x-amz-id-2

aMb41pGbJOWYzrTUIY0JmFjSgZMljS2L4

Cache-Control

max-age=0, no-cache, no-store

Content-Type


Content-Length

0

Date

Fri, 28 Jan 2022 22:46:26 GMT

Keep-Alive

timeout=5

Connection

keep-alive







Was this article helpful?

What's Next